import type { LinkedBundle } from '@devvit/protos';
import { LitElement, type PropertyValues } from 'lit';
import type { ColorScheme } from '../../types/color-scheme.js';
import '@devvit/previews/dist/devvit-preview.js';
declare global {
    interface HTMLElementTagNameMap {
        'play-preview': PlayPreview;
    }
}
/** The rendered output of Devvit program under various parameters. */
export declare class PlayPreview extends LitElement {
    #private;
    static get styles(): import("lit").CSSResult;
    bundle?: LinkedBundle | undefined;
    scheme: ColorScheme | undefined;
    private readonly _client;
    disconnectedCallback(): void;
    protected render(): import("lit-html").TemplateResult<1>;
    protected willUpdate(changedProperties: PropertyValues): Promise<void>;
}
